Subject: Re: [Ietf-krb-wg] tls and channel binding

From: Jeffrey Hutzelman <[email-masked]>
Date: Wed, 09 Jan 2008 09:14:05 -0500

--On Tuesday, December 11, 2007 12:41:17 PM +0100 Leif Johansson 
<[email-masked]> wrote:

> Nicolas Williams wrote:
>> On Mon, Dec 10, 2007 at 10:47:22PM +0100, Leif Johansson wrote:
>>
>>> Nicolas Williams wrote:
>>>
>>> <snip>
>>>
>>>> I much prefer to use off-the-shelf solutions.  Before PKINIT StartTLS
>>>> would have been the off-the-shelf solution to use.  Now we have two,
>>>> with PKINIT being the slightly more appropriate solution, IMO.  Ideally
>>>> we shouldn't have invented PKINIT, and instead had StartTLS with
>>>> channel binding all along.  But we didn't.
>>>>
>>>>
>>>>
>>> FWIW I agree completely with this.
>>>
>>
>> We all might agree with that and, sadly, still be no closer to
>> consensus.
>>
> I think we have rough consensus. I just think it needs to be asserted.

Easy for you to say. :-)

When the PKINIT/FAST proposal was made, a bunch of people said "that sounds 
like a good idea".  Then someone said "well, we could do approximately the 
same thing using STARTTLS", and now here we are.

I'd love to see us come to consensus on this issue and produce a krb5.3 
specification which protects the AS exchange, authenticates error messages, 
supports ticket extensions, and has full internationalization.  The sooner 
we get there, the better.  I'd also like a million dollars (hm.  make that 
a million euros).

If you think there is a consensus, give me a statement on which I can do a 
consensus call, and we'll find out.  So far I've been unable to do so, 
which may indicate lack of consensus or may mean I just can't discern it.

-- Jeff
_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg

---

From: Nicolas Williams <[email-masked]>
Date: Wed, 9 Jan 2008 09:46:25 -0600

On Wed, Jan 09, 2008 at 09:14:05AM -0500, Jeffrey Hutzelman wrote:
> [...]

All you need is a question?  That's easier than consensus.  But we all
know there won't be unanimity.  If it's unanimity that you're looking
for then we might as well give up.

The question:

    Given two mostly equivalent methods of a) providing additional
    protection to KDC exchanges, b) negotiating I18N in the KDC
    exchanges, which method should be REQUIRED to implement?

    Pick from 'StartTLS' and 'FAST w/ PKINIT'.

Nico
--